KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# AbstractProjection Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

A base class for all projections in Marble.

## Methods
| __init__ (self)
| coordinateExtremes (self, float lon, float lat, float westLon, float eastLon, float otherWestLon, float otherEastLon, float northLat, float southLat)
bool | geoCoordinates (self, int x, int y, Marble.ViewportParams viewport, float lon, float lat, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Degree)
AbstractProjectionHelper | helper (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self, QRect screenRect, Marble.ViewportParams viewport)
bool | mapCoversViewport (self, Marble.ViewportParams viewport)
float | maxLat (self)
float | minLat (self)
Marble.GeoDataLinearRing | rectOutline (self, QRect screenRect, Marble.ViewportParams viewport)
bool | repeatX (self)
bool | screenCoordinates (self, float lon, float lat, Marble.ViewportParams viewport, int x, int y)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, Marble.ViewportParams viewport, int x, int y, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataCoordinates geopoint, Marble.ViewportParams viewport, int x, int y)
bool | screenCoordinates (self, Marble.GeoDataCoordinates coordinates, Marble.ViewportParams viewport, int x, int y, int pointRepeatNum, bool globeHidesPoint)
bool | screenCoordinates (self, Marble.GeoDataLineString lineString, Marble.ViewportParams viewport, QVector
| setRepeatX (self, bool val)
QPolygonF | tessellateLineSegment (self, Marble.GeoDataCoordinates previousCoords, Marble.GeoDataCoordinates currentCoords, int count, Marble.ViewportParams viewport, Marble.TessellationFlags f=0)
bool | traversableMaxLat (self)

## Method Documentation

__init__ | ( |  | self ) |

Construct a new AbstractProjection.

coordinateExtremes | ( | self, |
|  | float | lon,
|  | float | lat,
|  | float | westLon,
|  | float | eastLon,
|  | float | otherWestLon,
|  | float | otherEastLon,
|  | float | northLat,
|  | float | southLat
| ) |  |  |

bool geoCoordinates | ( | self, |
|  | int | x,
|  | int | y,
|  | Marble.ViewportParams | viewport,
|  | float | lon,
|  | float | lat,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Degree
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the earth coordinates corresponding to a pixel in the map.

Parameters:

  | x | the x coordinate of the pixel
  | y | the y coordinate of the pixel
  | viewport | the viewport parameters
  | lon | the longitude angle is returned through this parameter
  | lat | the latitude angle is returned through this parameter
  | unit | the unit of the angles for lon and lat.

Returns:
  true if the pixel (x, y) is within the globe

false if the pixel (x, y) is outside the globe, i.e. in space.

AbstractProjectionHelper helper | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( | self, |
|  | QRect | screenRect,
|  | Marble.ViewportParams | viewport
| ) |  |  |

bool mapCoversViewport | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float maxLat | ( |  | self ) |

float minLat | ( |  | self ) |

Marble.GeoDataLinearRing rectOutline | ( | self, |
|  | QRect | screenRect,
|  | Marble.ViewportParams | viewport
| ) |  |  |

bool repeatX | ( |  | self ) |

bool screenCoordinates | ( | self, |
|  | float | lon,
|  | float | lat,
|  | Marble.ViewportParams | viewport,
|  | int | x,
|  | int | y
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the screen coordinates corresponding to geographical coordinates in the map.

Parameters:

  | lon | the lon coordinate of the requested pixel position in radians
  | lat | the lat coordinate of the requested pixel position in radians
  | viewport | the viewport parameters
  | x | the x coordinate of the pixel is returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | Marble.ViewportParams | viewport,
|  | int | x,
|  | int | y,
|  | bool | globeHidesPoint
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the screen coordinates corresponding to geographical coordinates in the map.

Parameters:

  | geopoint | the point on earth, including altitude, that we want the coordinates for.
  | viewport | the viewport parameters
  | x | the x coordinate of the pixel is returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | geopoint,
|  | Marble.ViewportParams | viewport,
|  | int | x,
|  | int | y
| ) |  |  |

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates,
|  | Marble.ViewportParams | viewport,
|  | int | x,
|  | int | y,
|  | int | pointRepeatNum,
|  | bool | globeHidesPoint
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the coordinates of screen points for geographical coordinates in the map.

Parameters:

  | geopoint | the point on earth, including altitude, that we want the coordinates for.
  | viewport | the viewport parameters
  | planetAxisMatrix | The matrix describing the current rotation of the globe
  | x | the x coordinates of the pixels are returned through this parameter
  | y | the y coordinate of the pixel is returned through this parameter
  | pointRepeatNum | the amount of times that a single geographical point gets represented on the map
  | globeHidesPoint | whether the point gets hidden on the far side of the earth

Returns:
  true if the geographical coordinates are visible on the screen

false if the geographical coordinates are not visible on the screen

See also:
  ViewportParams

bool screenCoordinates | ( | self, |
|  | Marble.GeoDataLineString | lineString,
|  | Marble.ViewportParams | viewport,
|  | QVector | polygons
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setRepeatX | ( | self, |
|  | bool | val
| ) |  |  |

QPolygonF tessellateLineSegment | ( | self, |
|  | Marble.GeoDataCoordinates | previousCoords,
|  | Marble.GeoDataCoordinates | currentCoords,
|  | int | count,
|  | Marble.ViewportParams | viewport,
|  | Marble.TessellationFlags | f=0
| ) |  |  |

bool traversableMaxLat | ( |  | self ) |